Package com.sap.ai.sdk.orchestration.model

# Enum Class CacheControl.TtlEnum

java.lang.Object
java.lang.Enum<CacheControl.TtlEnum>
com.sap.ai.sdk.orchestration.model.CacheControl.TtlEnum

All Implemented Interfaces:
  `Serializable`, `Comparable<CacheControl.TtlEnum>`, `Constable`

Enclosing class:
  `CacheControl`

public static enum CacheControl.TtlEnum extends Enum<CacheControl.TtlEnum>
Time-to-live for the cache entry. Default is \"5m\" (5 minutes). \"1h\" (1 hour) is supported on select models (e.g. Claude Opus 4.5, Haiku 4.5, Sonnet 4.5).

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `_1H`
  The _1H option of this CacheControl
  `_5M`
  The _5M option of this CacheControl
  `UNKNOWN_DEFAULT_OPEN_API`
  The UNKNOWN_DEFAULT_OPEN_API option of this CacheControl

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static CacheControl.TtlEnum`
  `fromValue(String value)`
  Get the enum value from a String value
  `String`
  `getValue()`
  Get the value of the enum
  `String`
  `toString()`
  Get the String value of the enum value.
  `static CacheControl.TtlEnum`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static CacheControl.TtlEnum[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### _5M

    public static final CacheControl.TtlEnum _5M
    The _5M option of this CacheControl

  - ### _1H

    public static final CacheControl.TtlEnum _1H
    The _1H option of this CacheControl

  - ### UNKNOWN_DEFAULT_OPEN_API

    public static final CacheControl.TtlEnum UNKNOWN_DEFAULT_OPEN_API
    The UNKNOWN_DEFAULT_OPEN_API option of this CacheControl

- ## Method Details

  - ### values

    public static CacheControl.TtlEnum[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static CacheControl.TtlEnum valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    @Nonnull public String getValue()
    Get the value of the enum
    Returns:
      The enum value

  - ### toString

    @Nonnull public String toString()
    Get the String value of the enum value.
    Overrides:
      `toString` in class `Enum<CacheControl.TtlEnum>`
    Returns:
      The enum value as String

  - ### fromValue

    @Nonnull public static CacheControl.TtlEnum fromValue(@Nonnull String value)
    Get the enum value from a String value
    Parameters:
      `value` - The String value
    Returns:
      The enum value of type CacheControl